﻿using UnityEngine;
using System.Collections;

public class SeedBehaviour : MonoBehaviour 
{

    GameObject go;

    public float speedAdd;

    void Start()
    {
        if (transform.childCount > 0)
        {
            Transform t = transform.GetChild(0);
            go = t.gameObject;
            t.SetParent(null, true);
        }
    }

    public void Collected(TreePlacementBehaviour tpb)
    {
        tpb.speed += speedAdd;
    }


    void OnDisable()
    {
        if (go == null)
            return;

        go.SetActive(true);
        
    }
}