﻿using UnityEngine;
using System.Collections;

public class TreeBehaviour : MonoBehaviour {

    int index;
    TreePlacementBehaviour treePlacementBehaviour;

    public void Setup(int i, TreePlacementBehaviour tpb)
    {
        index = i;
        treePlacementBehaviour = tpb;

        AudioSource ss = GetComponent<AudioSource>();
        ss.clip = tpb.notes[(tpb.currentNote++) % tpb.notes.Length];

    }

    public void HitNextBlock()
    {
        treePlacementBehaviour.MakeNextFall(index);
    }

	// Use this for initialization
	void Start () {
	
	}
	
	// Update is called once per frame
	void Update () {
	
	}
}
