﻿using UnityEngine;
using System.Collections;

public class FadeOutEffect : MonoBehaviour 
{
    public float aliveTime = 1f;
    public float fadeTime = 1f;

    public Color startColor;
    public Material m;

	// Use this for initialization
	IEnumerator Start () 
    {
        m.SetColor("_TintColor", startColor);

        yield return new WaitForSeconds(aliveTime);

        float t = 0f;
        while (t < fadeTime)
        {
            t += Time.deltaTime;

            Color c = Color.Lerp(startColor, Color.clear, t / fadeTime);
            m.SetColor("_TintColor", c);

            yield return 0;
        }

        gameObject.SetActive(false);
	}
	
	// Update is called once per frame
	void Update () {
	
	}
}
