// Shader created with Shader Forge v1.26 
// Shader Forge (c) Neat Corporation / Joachim Holmer - http://www.acegikmo.com/shaderforge/
// Note: Manually altering this data may prevent you from opening it in Shader Forge
/*SF_DATA;ver:1.26;sub:START;pass:START;ps:flbk:,iptp:0,cusa:False,bamd:0,lico:1,lgpr:1,limd:0,spmd:1,trmd:0,grmd:0,uamb:True,mssp:True,bkdf:False,hqlp:False,rprd:False,enco:False,rmgx:True,rpth:0,vtps:0,hqsc:True,nrmq:1,nrsp:0,vomd:0,spxs:False,tesm:0,olmd:1,culm:0,bsrc:0,bdst:0,dpts:2,wrdp:True,dith:0,rfrpo:False,rfrpn:Refraction,coma:15,ufog:False,aust:False,igpj:True,qofs:0,qpre:3,rntp:2,fgom:False,fgoc:False,fgod:False,fgor:False,fgmd:0,fgcr:0.5,fgcg:0.5,fgcb:0.5,fgca:1,fgde:0.01,fgrn:0,fgrf:300,stcl:False,stva:128,stmr:255,stmw:255,stcp:6,stps:0,stfa:0,stfz:0,ofsf:0,ofsu:0,f2p0:False,fnsp:False,fnfb:False;n:type:ShaderForge.SFN_Final,id:3138,x:32719,y:32712,varname:node_3138,prsc:2|emission-5459-OUT;n:type:ShaderForge.SFN_Color,id:7241,x:31631,y:32445,ptovrint:False,ptlb:Color,ptin:_Color,varname:node_7241,prsc:2,glob:False,taghide:False,taghdr:False,tagprd:False,tagnsco:False,tagnrm:False,c1:0.07843138,c2:0.3921569,c3:0.7843137,c4:1;n:type:ShaderForge.SFN_Color,id:5041,x:31590,y:33196,ptovrint:False,ptlb:Color_copy,ptin:_Color_copy,varname:_Color_copy,prsc:2,glob:False,taghide:False,taghdr:False,tagprd:False,tagnsco:False,tagnrm:False,c1:0.07843138,c2:0.3921569,c3:1,c4:0;n:type:ShaderForge.SFN_Lerp,id:3724,x:32232,y:32701,varname:node_3724,prsc:2|A-3178-OUT,B-8106-OUT,T-8788-OUT;n:type:ShaderForge.SFN_Append,id:3178,x:32025,y:32488,varname:node_3178,prsc:2|A-7241-R,B-7241-G,C-7241-B,D-7241-A;n:type:ShaderForge.SFN_Append,id:8106,x:31937,y:33210,varname:node_8106,prsc:2|A-5041-R,B-5041-G,C-5041-B,D-5041-A;n:type:ShaderForge.SFN_ComponentMask,id:5459,x:32444,y:32768,varname:node_5459,prsc:2,cc1:0,cc2:1,cc3:2,cc4:3|IN-3724-OUT;n:type:ShaderForge.SFN_FragmentPosition,id:4775,x:30869,y:32700,varname:node_4775,prsc:2;n:type:ShaderForge.SFN_ComponentMask,id:2542,x:31241,y:32768,varname:node_2542,prsc:2,cc1:0,cc2:1,cc3:2,cc4:-1|IN-5468-OUT;n:type:ShaderForge.SFN_ObjectPosition,id:2241,x:30823,y:32985,varname:node_2241,prsc:2;n:type:ShaderForge.SFN_Subtract,id:5468,x:31098,y:32831,varname:node_5468,prsc:2|A-4775-XYZ,B-2241-XYZ;n:type:ShaderForge.SFN_Add,id:8788,x:32050,y:32755,varname:node_8788,prsc:2|A-2542-G,B-6851-OUT;n:type:ShaderForge.SFN_ArcTan2,id:1609,x:31407,y:32878,varname:node_1609,prsc:2,attp:0|A-2542-B,B-2542-R;n:type:ShaderForge.SFN_Sin,id:1662,x:31760,y:32914,varname:node_1662,prsc:2|IN-124-OUT;n:type:ShaderForge.SFN_Multiply,id:124,x:31574,y:32927,varname:node_124,prsc:2|A-1609-OUT,B-5267-OUT;n:type:ShaderForge.SFN_ValueProperty,id:5267,x:31253,y:33044,ptovrint:False,ptlb:node_5267,ptin:_node_5267,varname:node_5267,prsc:2,glob:False,taghide:False,taghdr:False,tagprd:False,tagnsco:False,tagnrm:False,v1:4;n:type:ShaderForge.SFN_Multiply,id:6851,x:31937,y:32981,varname:node_6851,prsc:2|A-1662-OUT,B-7364-OUT;n:type:ShaderForge.SFN_Sin,id:7364,x:31760,y:33057,varname:node_7364,prsc:2|IN-2915-OUT;n:type:ShaderForge.SFN_Time,id:6050,x:31253,y:33127,varname:node_6050,prsc:2;n:type:ShaderForge.SFN_Slider,id:8035,x:31200,y:33287,ptovrint:False,ptlb:node_8035,ptin:_node_8035,varname:node_8035,prsc:2,glob:False,taghide:False,taghdr:False,tagprd:False,tagnsco:False,tagnrm:False,min:0,cur:0,max:100;n:type:ShaderForge.SFN_Multiply,id:2915,x:31562,y:33056,varname:node_2915,prsc:2|A-6050-TTR,B-8035-OUT;proporder:7241-5041-5267-8035;pass:END;sub:END;*/

Shader "Shader Forge/ShiningGradient" {
    Properties {
        _Color ("Color", Color) = (0.07843138,0.3921569,0.7843137,1)
        _Color_copy ("Color_copy", Color) = (0.07843138,0.3921569,1,0)
        _node_5267 ("node_5267", Float ) = 4
        _node_8035 ("node_8035", Range(0, 100)) = 0
    }
    SubShader {
        Tags {
            "IgnoreProjector"="True"
            "Queue"="Transparent"
            "RenderType"="Transparent"
        }
        Pass {
            Name "FORWARD"
            Tags {
                "LightMode"="ForwardBase"
            }
            Blend One One
            
            
            CGPROGRAM
            #pragma vertex vert
            #pragma fragment frag
            #define UNITY_PASS_FORWARDBASE
            #include "UnityCG.cginc"
            #pragma multi_compile_fwdbase
            #pragma exclude_renderers gles3 metal d3d11_9x xbox360 xboxone ps3 ps4 psp2 
            #pragma target 3.0
            uniform float4 _TimeEditor;
            uniform float4 _Color;
            uniform float4 _Color_copy;
            uniform float _node_5267;
            uniform float _node_8035;
            struct VertexInput {
                float4 vertex : POSITION;
            };
            struct VertexOutput {
                float4 pos : SV_POSITION;
                float4 posWorld : TEXCOORD0;
            };
            VertexOutput vert (VertexInput v) {
                VertexOutput o = (VertexOutput)0;
                float4 objPos = mul ( _Object2World, float4(0,0,0,1) );
                o.posWorld = mul(_Object2World, v.vertex);
                o.pos = mul(UNITY_MATRIX_MVP, v.vertex );
                return o;
            }
            float4 frag(VertexOutput i) : COLOR {
                float4 objPos = mul ( _Object2World, float4(0,0,0,1) );
////// Lighting:
////// Emissive:
                float3 node_5468 = (i.posWorld.rgb-objPos.rgb);
                float3 node_2542 = node_5468.rgb;
                float node_1609 = atan2(node_2542.b,node_2542.r);
                float node_124 = (node_1609*_node_5267);
                float node_1662 = sin(node_124);
                float4 node_6050 = _Time + _TimeEditor;
                float3 emissive = lerp(float4(_Color.r,_Color.g,_Color.b,_Color.a),float4(_Color_copy.r,_Color_copy.g,_Color_copy.b,_Color_copy.a),(node_2542.g+(node_1662*sin((node_6050.a*_node_8035))))).rgba.rgb;
                float3 finalColor = emissive;
                return fixed4(finalColor,1);
            }
            ENDCG
        }
    }
    FallBack "Diffuse"
    CustomEditor "ShaderForgeMaterialInspector"
}
